Bug 1007122 - publican.cfg example contains content that shouldn't be specified.
publican.cfg example contains content that shouldn't be specified.
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Documentation (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: lcarlon
Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 20:38 EDT by Lee Newson
Modified: 2014-06-18 03:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 13968, PressGang CCMS Handbook-2.0-1 Build Date: 10-09-2013 06:15:19 Topic ID: 14038-481856 [Latest]
Last Closed: 2014-06-18 03:56:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-09-11 20:38:27 EDT
Title: Front-Matter

Describe the issue:
Currently the publican.cfg example contains a condition and content that shouldn't be used normally. When using a condition in the publican.cfg it will override any PressGang conditional processing.

Suggestions for improvement:
The publican.cfg example should probably be something like:

publican.cfg = [chunk_first: 0
#chunk_section_depth: 1
git_branch: docs-rhel-6
condition: standard]

It should also be noted that specifying any of the following is useless as they will be removed and replaced by values from the Content Spec metadata:

xml_lang
brand
type
product
docname

And then it should also contain a note/warning that specifying a condition via the publican.cfg will cause PressGang conditional processing to be ignored, which in turn could lead to publican build errors.

Additional information:
See BZ#1007118 for the conditional warning message bug.
Comment 1 Misty Stanley-Jones 2013-10-09 02:07:01 EDT
Fixed in revision 544692
Comment 2 Lee Newson 2013-10-09 02:09:44 EDT
Verified, thanks Misty.

Note You need to log in before you can comment on or make changes to this bug.